
package com.tmerclub.cloud.im.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 店铺和用户历史聊天记录表
 *
 * @author tmerclub
 * @date 2021-08-25 13:58:56
 */
public class ImMsgBizUserHistory extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 自增主键
     */
    private Long id;

    /**
     * 聊天对象id
     */
    private Long imMsgBizUserId;

    /**
     * 发送类型1平台2商家
     */
    private Integer sendType;

    /**
     * 平台或商家id
     */
    private Long bizId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 员工id
     */
    private Long employeeId;

    /**
     * 消息类型,0文字1商品信息2图片
     */
    private Integer type;

    /**
     * 消息内容
     */
    private String content;

    /**
     * 消息谁发的0系统1员工2用户
     */
    private Integer whoSend;

    /**
     * 用户是否已读
     */
    private Integer userUnread;

    /**
     * 员工是否已读
     */
    private Integer employeeUnread;

    /**
     * 消息可见范围：0.所有人可见 1.仅自己可见
     */
    private Integer readRange;

    /**
     * 客服昵称
     */
    private String nickName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getImMsgBizUserId() {
        return imMsgBizUserId;
    }

    public void setImMsgBizUserId(Long imMsgBizUserId) {
        this.imMsgBizUserId = imMsgBizUserId;
    }

    public Integer getSendType() {
        return sendType;
    }

    public void setSendType(Integer sendType) {
        this.sendType = sendType;
    }

    public Long getBizId() {
        return bizId;
    }

    public void setBizId(Long bizId) {
        this.bizId = bizId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getEmployeeId() {
        return employeeId;
    }

    public void setEmployeeId(Long employeeId) {
        this.employeeId = employeeId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getWhoSend() {
        return whoSend;
    }

    public void setWhoSend(Integer whoSend) {
        this.whoSend = whoSend;
    }

    public Integer getUserUnread() {
        return userUnread;
    }

    public void setUserUnread(Integer userUnread) {
        this.userUnread = userUnread;
    }

    public Integer getEmployeeUnread() {
        return employeeUnread;
    }

    public void setEmployeeUnread(Integer employeeUnread) {
        this.employeeUnread = employeeUnread;
    }

    public Integer getReadRange() {
        return readRange;
    }

    public void setReadRange(Integer readRange) {
        this.readRange = readRange;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    @Override
    public String toString() {
        return "ImMsgBizUserHistory{" +
                "id=" + id +
                ", imMsgBizUserId=" + imMsgBizUserId +
                ", sendType=" + sendType +
                ", bizId=" + bizId +
                ", userId=" + userId +
                ", employeeId=" + employeeId +
                ", type=" + type +
                ", content='" + content + '\'' +
                ", whoSend=" + whoSend +
                ", userUnread=" + userUnread +
                ", employeeUnread=" + employeeUnread +
                ", readRange=" + readRange +
                ", nickName='" + nickName + '\'' +
                '}';
    }
}
